<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class PrivateBidCropStandard 
{
    public string $id;
    public string $commodity;
    public string $name;
    public string $bidType;
    public string $tickSize;
    public string $marketTickSize;
    /** @var \Bushelpowered\Api\Trade\Futures\V1\Model\BidStandard[] $bids */
    public array $bids;

    /**
     * @param  \Bushelpowered\Api\Trade\Futures\V1\Model\BidStandard[]  $bids 
     */
    public function __construct(string $id, string $commodity, string $name, string $bidType, string $tickSize, string $marketTickSize, array $bids)
    {
        $this->id = $id;
        $this->commodity = $commodity;
        $this->name = $name;
        $this->bidType = $bidType;
        $this->tickSize = $tickSize;
        $this->marketTickSize = $marketTickSize;
        $this->bids = $bids;
    }
    

}