<?php
namespace Bushelpowered\Api\Aggregator\Config\V1\Model;
        
class ConfigurableListItem 
{
    public string $key;
    public string $label;
    public string $description;
    public bool $isFeature;
    public string $group;
    public string $dataType;
    /** @var string[] $options */
    public array $options;

    /**
     * @param  string[]  $options 
     */
    public function __construct(string $key, string $label, string $description, bool $isFeature, string $group, string $dataType, array $options)
    {
        $this->key = $key;
        $this->label = $label;
        $this->description = $description;
        $this->isFeature = $isFeature;
        $this->group = $group;
        $this->dataType = $dataType;
        $this->options = $options;
    }
    

}